hadoop-hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Todd Lipcon (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HIVE-1526) Hive should depend on a release version of Thrift
Date Wed, 22 Sep 2010 22:37:34 GMT

     [ https://issues.apache.org/jira/browse/HIVE-1526?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Todd Lipcon updated HIVE-1526:
------------------------------

    Attachment: hive-1526.txt
                libthrift.jar
                libfb303.jar

Here is a patch along with the newly built jars from Thrift 0.4.0.

I agree that long term we should make codegen part of the build, but I think it's enough of
a hassle to require everyone to install the same version of thrift, we should punt for now.

> Hive should depend on a release version of Thrift
> -------------------------------------------------
>
>                 Key: HIVE-1526
>                 URL: https://issues.apache.org/jira/browse/HIVE-1526
>             Project: Hadoop Hive
>          Issue Type: Task
>          Components: Build Infrastructure
>            Reporter: Carl Steinbach
>            Assignee: Todd Lipcon
>         Attachments: hive-1526.txt, libfb303.jar, libthrift.jar
>
>
> Hive should depend on a release version of Thrift, and ideally it should use Ivy to resolve
this dependency.
> The Thrift folks are working on adding Thrift artifacts to a maven repository here: https://issues.apache.org/jira/browse/THRIFT-363

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message